Overview | Modules | Class Hierarchy | Classes | Members

# tlp::QtCPULODCalculator Class Reference

`#include <QtCPULODCalculator.h>`

Inherited by tlp::QtQuadTreeLODCalculator.

Inheritance diagram for tlp::QtCPULODCalculator:

[legend]
List of all members.

## Detailed Description

Class use to compute bounding boxs of a vector of GlEntity

## Public Member Functions

- virtual GlLODCalculator * clone ()
- virtual void computeFor3DCamera (SimpleBoundingBoxVector *inputSimple, ComplexBoundingBoxVector *inputNodes, ComplexBoundingBoxVector *inputEdges, SimpleLODResultVector *outputSimple, ComplexLODResultVector *outputNodes, ComplexLODResultVector *outputEdges, const Coord &eye, const Matrix< float, 4 > transformMatrix, const Vector< int, 4 > &globalViewport, const Vector< int, 4 > &currentViewport)

## Member Function Documentation

virtual GlLODCalculator* tlp::QtCPULODCalculator::clone | ( |  | ) | `[inline, virtual]`

| Reimplemented in tlp::QtQuadTreeLODCalculator.

virtual void tlp::QtCPULODCalculator::computeFor3DCamera | ( | SimpleBoundingBoxVector * | inputSimple,
|  | ComplexBoundingBoxVector * | inputNodes,
|  | ComplexBoundingBoxVector * | inputEdges,
|  | SimpleLODResultVector * | outputSimple,
|  | ComplexLODResultVector * | outputNodes,
|  | ComplexLODResultVector * | outputEdges,
|  | const Coord & | eye,
|  | const Matrix< float, 4 > | transformMatrix,
|  | const Vector< int, 4 > & | globalViewport,
|  | const Vector< int, 4 > & | currentViewport
| ) | `[virtual]`

| Reimplemented in tlp::QtQuadTreeLODCalculator.

Tulip Software by LaBRI Visualization Team 2001 - 2010